VMTKMESHGENERATOR(1)

NAME
vmtkmeshgenerator - vmtk script vmtkmeshgenerator

DESCRIPTION
Automatic piping vmtkmeshgenerator Parsing options vmtkmeshgenerator

vmtkmeshgenerator : generate a mesh suitable for CFD from a surface

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-edgelength TargetEdgeLength (float,1) >= 0.0; default=1.0

-edgelengtharray TargetEdgeLengthArrayName (str,1)

-edgelengthfactor TargetEdgeLengthFactor (float,1) >= 0.0;

    default=1.0

-trianglesplitfactor TriangleSplitFactor (float,1) >= 0.0;

    default=5.0

-endcapsedgelengthfactor EndcapsEdgeLengthFactor (float,1) >= 0.0;

    default=1.0

-maxedgelength MaxEdgeLength (float,1) >= 0.0; default=1e+16

-minedgelength MinEdgeLength (float,1) >= 0.0; default=0.0

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds

-elementsizemode ElementSizeMode (str,1) in ['edgelength',

    'edgelengtharray']; default=edgelength

-cappingmethod CappingMethod (str,1) in ['simple', 'annular',

    'concaveannular']; default=simple

-skipcapping SkipCapping (bool,1); default=0

-skipremeshing SkipRemeshing (bool,1); default=0

-volumeelementfactor VolumeElementScaleFactor (float,1) >= 0.0;

    default=0.8

-boundarylayer BoundaryLayer (bool,1); default=0

-sublayers NumberOfSubLayers (int,1) >= 0; default=2

-substeps NumberOfSubsteps (int,1) >= 0; default=2000

-relaxation Relaxation (float,1) >= 0.0; default=0.01

-localcorrection LocalCorrectionFactor (float,1) >= 0.0;

    default=0.45

-sublayerratio SubLayerRatio (float,1) >= 0.0; default=0.5

-thicknessfactor BoundaryLayerThicknessFactor (float,1) >= 0.0;

    default=0.25

-remeshcapsonly RemeshCapsOnly (bool,1); default=0

-boundarylayeroncaps BoundaryLayerOnCaps (bool,1); default=1

-tetrahedralize Tetrahedralize (bool,1); default=0

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

-remeshedsurfacefile RemeshedSurfaceOutputFileName (str,1):

    filename for the default RemeshedSurface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds

-remeshedsurface RemeshedSurface (vtkPolyData,1): the output

    surface